Summary:	A thumbnail plugin for the Thunar File Manager
Name:		thunar-thumbnailers
Version:	0.3.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/thunar-plugins/thunar-thumbnailers
Source0:	http://goodies.xfce.org/releases/thunar-thumbnailers/%{name}-%{version}.tar.bz2
BuildRequires:	thunar-devel >= 0.8.0
BuildRequires:	imagemagick
BuildRequires:	perl(XML::Parser)
BuildRequires:	ffmpegthumbnailer
BuildRequires:	grace
BuildRequires:	raw-thumbnailer
BuildRequires:	dcraw
Requires:	thunar >= 0.8.0
Requires:	imagemagick
Requires:	ffmpegthumbnailer
Requires:	grace
Requires:	dcraw
Requires:	raw-thumbnailer
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Thumbnails support for Thunar File Manager.

%prep
%setup -q

%build
%configure2_5x \
	--enable-raw \
	--enable-grace \
	--enable-ffmpeg \
	--enable-tex
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%post
%{update_desktop_database}
%postun
%{update_desktop_database}

%clean
rm -rf  %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%dir %{_datadir}/thumbnailers
%{_libdir}/*-thumbnailer
%{_datadir}/mime/packages/thunar-thumbnailers.xml
%{_datadir}/thumbnailers/*-thumbnailer.desktop


%changelog
* Tue Mar 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 188443
- new version

* Mon Mar 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 178004
- new version
- enable support for tex, dcraw and raw-thumbnailer

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-3mdv2008.1
+ Revision: 110640
- new license policy
- do not package COPYING and INSTALL files

* Sun Sep 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-3mdv2008.0
+ Revision: 83580
- do not use evince to generate pdf thumbnails

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-2mdv2008.0
+ Revision: 71435
- add buildrequires on ffmpegthumbnailer,evince and grace, so the proper funcionality could be enabled
- disable grace support for now
- add proper requires to support generating thumbnails

* Sat Aug 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 65457
- fix file list
- new version
- add requires on imagemagick
- own directory
- new version

* Sat Jun 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.1-1mdv2008.0
+ Revision: 40286
- new version
- s/imagemagick/ImageMagick

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-3mdv2008.0
+ Revision: 30504
- fix typo

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-2mdv2008.0
+ Revision: 30502
- update summary

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 30342
- Import thunar-thumbnailers

